Skip to main content
POST
Start an enrollment

Authorizations

Authorization
string
header
required

Authenticate with a Bearer token: API key, OAuth token, or session token.

Path Parameters

id
string<uuid>
required

Campaign ID.

batch_id
string<uuid>
required

Enrollment batch ID.

Body

application/json
version
integer
required

The batch version you read. Start fails if it has changed.

Required range: x >= 1
expected_recipient_count
integer
required

How many people you expect to enroll: summary.ready from the batch you read.

Required range: x >= 0
from_email
string<email>

The mailbox you expect it to send from. When given and different from the batch, start fails with 409 SENDER_MISMATCH.

Response

Enrolled

success
enum<boolean>
required
Available options:
true
data
object
required